#include "std.mi"

Function UpdateVis();

Global AnimatedLayer VisL;
Global Timer VisTimer;
Global Int VisLevel, VisFrame;

System.onScriptLoaded() { 

	Group VisGroup = getScriptGroup();
	VisL = VisGroup.getObject("VisL");
		
	VisTimer = new Timer;
	VisTimer.setDelay(15);
	VisTimer.start();


}
	
System.onScriptUnloading() {
  VisTimer.stop();
  delete VisTimer;
}


VisTimer.onTimer() {
	UpdateVis();
}

System.onPlay()
{
VisTimer.start();
}

System.onPause()
{
VisTimer.stop();
}

System.onResume()
{
VisTimer.start();
}

System.onStop()
{
VisTimer.stop();
VisL.gotoFrame(0);
}

UpdateVis(){
	int VisLevel;
	VisLevel = (System.getLeftVuMeter());
	int VisFrame = (VisLevel * 58) / 255;
	VisL.gotoFrame(VisFrame);
}