#include "std.mi"

Function UpdateVis();

Global AnimatedLayer VisR;
Global Timer VisTimer;
Global Int VisRevel, VisFrame;

System.onScriptLoaded() { 

	Group VisGroup = getScriptGroup();
	VisR = VisGroup.getObject("VisR");
		
	VisTimer = new Timer;
	VisTimer.setDelay(15);
	VisTimer.start();


}
	
System.onScriptUnloading() {
  VisTimer.stop();
  delete VisTimer;
}


VisTimer.onTimer() {
	UpdateVis();
}

System.onPlay()
{
VisTimer.start();
}

System.onPause()
{
VisTimer.stop();
}

System.onResume()
{
VisTimer.start();
}

System.onStop()
{
VisTimer.stop();
VisR.gotoFrame(0);
}

UpdateVis(){
	int VisRevel;
	VisRevel = (System.getRightVuMeter());
	int VisFrame = (VisRevel * 58) / 255;
	VisR.gotoFrame(VisFrame);
}