#include "std.mi"

Global Group ScriptGrp;
Global Slider HiddenSlider;
Global Text CrossfadeTime;
Global Button IncreaseBtn, DecreaseBtn;
Global Button ToggleCrossfade;

System.onScriptLoaded() {

	ScriptGrp = getScriptGroup();

	HiddenSlider = ScriptGrp.findObject("HiddenSlider");
	CrossfadeTime = ScriptGrp.findObject("CrossfadeTime");
	IncreaseBtn = ScriptGrp.findObject("CrossfadeArrowUp");
	DecreaseBtn = ScriptGrp.findObject("CrossfadeArrowDown");
	ToggleCrossfade = ScriptGrp.findObject("ToggleCrossfade");

	HiddenSlider.onSetPosition(HiddenSlider.getPosition());

}

HiddenSlider.onSetPosition(int val) {
	String s = IntegerToString(val);
	CrossfadeTime.setText(s);
}

IncreaseBtn.onLeftClick() {
	HiddenSlider.SetPosition(HiddenSlider.getPosition()+1);
}

DecreaseBtn.onLeftClick() {
	HiddenSlider.SetPosition(HiddenSlider.getPosition()-1);
}

